// itsonlyme:reqFiles START
//this file is part of eMule
// added by itsonlyme
//
//This program is free software; you can redistribute it and/or
//modify it under the terms of the GNU General Public License
//as published by the Free Software Foundation; either
//version 2 of the License, or (at your option) any later version.
//
//This program is distributed in the hope that it will be useful,
//but WITHOUT ANY WARRANTY; without even the implied warranty of
//MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//GNU General Public License for more details.
//
//You should have received a copy of the GNU General Public License
//along with this program; if not, write to the Free Software
//Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

#pragma once

#include "ResizableLib/ResizablePage.h"
#include "UpDownClient.h"
#include "Partfile.h"


///////////////////////////////////////////////////////////////////////////////
// CReqFilesPage

class CReqFilesPage : public CResizablePage
{ 
	DECLARE_DYNAMIC(CReqFilesPage) 

public: 
	CReqFilesPage(); 
	virtual ~CReqFilesPage(); 

	void SetMyclient(CUpDownClient* client)	{m_client = client;}

// Dialog Data 
	enum { IDD = IDD_COMMENTLST }; 

protected: 
	CString m_strCaption;
	CListCtrl pmyListCtrl;
	CUpDownClient* m_client;

	void Localize(); 
	void CompleteFileList();

	virtual BOOL OnInitDialog(); 
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support 

	DECLARE_MESSAGE_MAP() 
	afx_msg void OnBnClickedApply(); 
	afx_msg void OnBnClickedRefresh(); 
};

// itsonlyme:reqFiles END